org.vertx.java.core.http.impl.ws

## Interface Handshake

All Known Implementing Classes:
  Handshake00, Handshake08, HandshakeRFC6455

    public interface Handshake

### Method Summary

Methods
`void` `fillInRequest(HttpClientRequest req, java.lang.String hostHeader)`
`org.jboss.netty.handler.codec.http.HttpResponse` `generateResponse(org.jboss.netty.handler.codec.http.HttpRequest request, java.lang.String serverOrigin)`
`org.jboss.netty.channel.ChannelHandler` `getDecoder()`
`org.jboss.netty.channel.ChannelHandler` `getEncoder(boolean server)`
`void` `onComplete(HttpClientResponse response, AsyncResultHandler<java.lang.Void> doneHandler)`

### Method Detail

#### fillInRequest

    void fillInRequest(HttpClientRequest req,
                     java.lang.String hostHeader)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### onComplete

    void onComplete(HttpClientResponse response,
                  AsyncResultHandler<java.lang.Void> doneHandler)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### generateResponse

    org.jboss.netty.handler.codec.http.HttpResponse generateResponse(org.jboss.netty.handler.codec.http.HttpRequest request,
                                                                   java.lang.String serverOrigin)
                                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getEncoder

    org.jboss.netty.channel.ChannelHandler getEncoder(boolean server)

#### getDecoder

    org.jboss.netty.channel.ChannelHandler getDecoder()